/* -----------------------------------------------

Stylesheet: Blog Styles

Built to work on top of the style sheet from the eFiling website.

------------------------------------------------ */

em,i {
    font-style: italic;
    line-height: inherit;
}
strong {
    font-family: inherit;
}

/* containers */

.container {
    width: 100%;
    padding-right: 15px;
    padding-left: 15px;
    margin-right: auto;
    margin-left: auto;
}

@media (min-width: 576px) {
    .container {
        max-width: 540px;
    }
    .container-thin {
        max-width: 405px;
    }
}
@media (min-width: 768px) {
    .container {
        max-width: 720px;
    }
    .container-thin {
        max-width: 540px;
    }
}
@media (min-width: 992px) {
    .container {
        max-width: 960px;
    }
    .container-thin {
        max-width: 720px;
    }
}
@media (min-width: 1200px) {
    .container {
        max-width: 1140px;
    }
    .container-thin {
        max-width: 855px;
    }
}
@media (min-width: 1400px) {
    .navbar > .container, .container {
        max-width: 1350px;
    }
    .container-thin {
        max-width: 1012px;
    }
}

/* sections */
.page-section:first-child {
    margin-top: 0;
}

/* footer */


.footer .left-col > .grid-x {
    margin-right: -15px;
    margin-left: -15px;
    margin-bottom: 20px;
}


.footer address {
    font-size: 14px;
    margin-left: 24px;
}



.footer .page-menu {
    gap: .4rem;
}
.footer .page-menu li {
    font-size: 14px;
    line-height: 21px;
}
.footer .page-menu li a {
    padding: 0;
}

.s1-footer-sig {
    width: 50%;
    float: right;
    text-align: right;
}
.s1-footer-sig a {
    display: inline-block;
    text-decoration: none;
    white-space: nowrap;
}
.s1-footer-sig a:hover {
    text-decoration: none;
}
.s1-footer-sig .s1-footer-sig-main {
    color: #999999;
    text-decoration: none;
    vertical-align: middle;
    padding-right: 25px;
}
.s1-footer-sig .s1-footer-sig-main img {
    display: inline-block;
    vertical-align: middle;
    max-width: 25px;
    margin-left: 13px;
}



/* nav bar */
.navbar {
    padding: .5rem 0;
}
.navbar .navbar-nav > li {
    margin: 0;
}
.navbar .navbar-nav .nav-item {
    margin: 0;
    padding: 1.5rem;
}


/* buttons */

.button {
    display: inline-block;
    font-weight: 400;
    text-align: center;
    white-space: nowrap;
    vertical-align: middle;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    border: 1px solid transparent;
    padding: .375rem .75rem;
    font-size: 1rem;
    line-height: 1.5;
    border-radius: .25rem;
    transition: color .15s ease-in-out, background-color .15s ease-in-out, border-color .15s ease-in-out, box-shadow .15s ease-in-out;




    border-radius: 1000px;
    padding: .8rem 1.7rem;
    line-height: 1;
    font-weight: 600;
    text-transform: uppercase;
    font-size: 14px;

    margin: 0;
}

.button.secondary {
    background-color: #007AFF;
    border-color: #007AFF;
    color: #ffffff;
}
.button.secondary:hover {
    background-color: #0268D2;
    border-color: #0268D2;
    color: #ffffff;
}


/* page header */
.page-header h1 {
    text-wrap: balance;
    color: #0c4da2; 
}


/* tiles */
.blog-grid {
    margin: -1rem;
}
.blog-grid > .cell {
    padding: 1rem;
}
.blog-tile {
}
.blog-tile .tile-inner {
    overflow: hidden;
    border: none;
    border-radius: calc(var(--tile-border-radius)/2);
}
.blog-tile img {
    margin: -2rem -2rem 0;
    max-width: calc(100% + 4rem);
    aspect-ratio: 16 / 9;
    object-fit: cover;
}
.blog-tile h2 {
    font-size: 1.3rem;
    margin: 1rem 0 .5rem;
    text-wrap: pretty;
}
.blog-tile p {
    font-weight: 400;
    color: #577c8c;
    margin: 0;
}


/* blog post */
.single-post .featured-image {
    margin-bottom: 2rem;
}
.single-post .featured-image img {
    border-radius: var(--tile-border-radius);
}


/* post content gutenberg styling */
.post-content h2 {
    font-size: 1.75rem;
    color: #000000;
}

.post-content .wp-block-heading {
    margin: 1.5em 0 1rem;
}

.post-content .wp-block-cover .wp-block-heading:first-child {
    margin-top: 0;
}

.wp-block-buttons .wp-block-button__link {
    transition: filter .4s ease;
}
.wp-block-buttons .wp-block-button__link:hover {
    color: inherit;
    filter: brightness(0.9);
}

.wp-block-separator {
    border-top: 3px solid #0c4da2;
    margin: 3rem 0;
}

.wp-block-quote p:last-child {
    margin-top: -1rem;
}